Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTabbedPaneUI.TabSelectionHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTabbedPaneUI.TabSelectionHandler

All Implemented Interfaces:
  `EventListener`, `ChangeListener`

Enclosing class:
  BasicTabbedPaneUI

    public class BasicTabbedPaneUI.TabSelectionHandler
    extends Object
    implements ChangeListener

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

### Constructor Summary

Constructors
`TabSelectionHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.event.ChangeListener

`stateChanged`

### Constructor Detail

#### TabSelectionHandler

    public TabSelectionHandler()